> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Create or update a family

POST https://ssuccessv2.com/app/api/v2/family/create
Content-Type: application/json

Creates a family and its supplied address, parents, students, relatives, and emergency contacts, or updates an existing family by id.

Reference: https://docs.schoolset.io/api-reference/school-set-api/families/create-or-update-family

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `id` (integer, optional, nullable)
- `family_name` (string, optional)
- `home_phone` (string, optional)
- `lastname_hebrew` (string, optional)
- `processing_fee_blocked` (boolean, optional)
- `address` (ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaAddress, optional, nullable)
- `parents` (list of ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaParentsItems, optional)
- `students` (list of ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaStudentsItems, optional)
- `relatives` (list of ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaRelativesItems, optional)
- `contacts` (list of ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaContactsItems, optional)

## Response

### 200

The family was created or updated and the family resource was returned.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV2FamilyCreatePostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication is required to save a family.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user lacks the required family

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Family

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaAddress

- `formatted` (string, optional)
- `latitude` (double, optional)
- `longitude` (double, optional)
- `splitted` (ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaAddressSplitted, optional)

### ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaParentsItems

- `id` (integer, optional, nullable)
- `firstname` (string, optional)
- `lastname` (string, optional)
- `email` (string, optional)
- `parent_student_type_id` (integer, optional)

### ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaStudentsItems

- `id` (integer, optional, nullable)
- `firstname` (string, optional)
- `lastname` (string, optional)
- `dob` (date, optional)
- `gender` (string, optional)

### ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaRelativesItems

### ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaContactsItems

### ApiV2FamilyCreatePostResponsesContentApplicationJsonSchemaData

- `id` (integer, optional)
- `family_name` (string, optional)
- `parents` (list of ApiV2FamilyCreatePostResponsesContentApplicationJsonSchemaDataParentsItems, optional)
- `students` (list of ApiV2FamilyCreatePostResponsesContentApplicationJsonSchemaDataStudentsItems, optional)

### ApiV2FamilyCreatePostRequestBodyContentApplicationJsonSchemaAddressSplitted

### ApiV2FamilyCreatePostResponsesContentApplicationJsonSchemaDataParentsItems

### ApiV2FamilyCreatePostResponsesContentApplicationJsonSchemaDataStudentsItems

## Examples

**Request**

```json
{
  "family_name": "Cohen Family",
  "home_phone": "+1-212-555-0199",
  "parents": [
    {
      "firstname": "David",
      "lastname": "Cohen",
      "email": "david@schoolset.example"
    }
  ],
  "students": [
    {
      "firstname": "Leah",
      "lastname": "Cohen",
      "dob": {},
      "gender": "female"
    }
  ]
}
```

**Response**

```json
{
  "status": "success",
  "message": "Family created successfully.",
  "data": {
    "id": 284,
    "family_name": "Cohen Family",
    "parents": [
      {}
    ],
    "students": [
      {}
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v2/family/create"

payload = {
    "family_name": "Cohen Family",
    "home_phone": "+1-212-555-0199",
    "parents": [
        {
            "firstname": "David",
            "lastname": "Cohen",
            "email": "david@schoolset.example"
        }
    ],
    "students": [
        {
            "firstname": "Leah",
            "lastname": "Cohen",
            "dob": {},
            "gender": "female"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v2/family/create';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"family_name":"Cohen Family","home_phone":"+1-212-555-0199","parents":[{"firstname":"David","lastname":"Cohen","email":"david@schoolset.example"}],"students":[{"firstname":"Leah","lastname":"Cohen","dob":{},"gender":"female"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v2/family/create"

	payload := strings.NewReader("{\n  \"family_name\": \"Cohen Family\",\n  \"home_phone\": \"+1-212-555-0199\",\n  \"parents\": [\n    {\n      \"firstname\": \"David\",\n      \"lastname\": \"Cohen\",\n      \"email\": \"david@schoolset.example\"\n    }\n  ],\n  \"students\": [\n    {\n      \"firstname\": \"Leah\",\n      \"lastname\": \"Cohen\",\n      \"dob\": {},\n      \"gender\": \"female\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v2/family/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"family_name\": \"Cohen Family\",\n  \"home_phone\": \"+1-212-555-0199\",\n  \"parents\": [\n    {\n      \"firstname\": \"David\",\n      \"lastname\": \"Cohen\",\n      \"email\": \"david@schoolset.example\"\n    }\n  ],\n  \"students\": [\n    {\n      \"firstname\": \"Leah\",\n      \"lastname\": \"Cohen\",\n      \"dob\": {},\n      \"gender\": \"female\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v2/family/create")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"family_name\": \"Cohen Family\",\n  \"home_phone\": \"+1-212-555-0199\",\n  \"parents\": [\n    {\n      \"firstname\": \"David\",\n      \"lastname\": \"Cohen\",\n      \"email\": \"david@schoolset.example\"\n    }\n  ],\n  \"students\": [\n    {\n      \"firstname\": \"Leah\",\n      \"lastname\": \"Cohen\",\n      \"dob\": {},\n      \"gender\": \"female\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v2/family/create', [
  'body' => '{
  "family_name": "Cohen Family",
  "home_phone": "+1-212-555-0199",
  "parents": [
    {
      "firstname": "David",
      "lastname": "Cohen",
      "email": "david@schoolset.example"
    }
  ],
  "students": [
    {
      "firstname": "Leah",
      "lastname": "Cohen",
      "dob": {},
      "gender": "female"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v2/family/create");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"family_name\": \"Cohen Family\",\n  \"home_phone\": \"+1-212-555-0199\",\n  \"parents\": [\n    {\n      \"firstname\": \"David\",\n      \"lastname\": \"Cohen\",\n      \"email\": \"david@schoolset.example\"\n    }\n  ],\n  \"students\": [\n    {\n      \"firstname\": \"Leah\",\n      \"lastname\": \"Cohen\",\n      \"dob\": {},\n      \"gender\": \"female\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "family_name": "Cohen Family",
  "home_phone": "+1-212-555-0199",
  "parents": [
    [
      "firstname": "David",
      "lastname": "Cohen",
      "email": "david@schoolset.example"
    ]
  ],
  "students": [
    [
      "firstname": "Leah",
      "lastname": "Cohen",
      "dob": [],
      "gender": "female"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v2/family/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```